Page MenuHomePhabricator

Alemannic (gsw/als) doesn't appear when connecting from Switzerland
Closed, ResolvedPublic

Description

The Alemannic language (gsw) is supposed to be preferred for people connecting from Switzerland (country code 'CH') according to CLDR, but apparently it doesn't.

It is probably related to the fact that the Wikipedia site in this language is called als.wikipedia.org, and ULS configures an alias for the als -> gsw codes in a non-standard way (because als is also a valid code for another language).

Event Timeline

Amire80 created this task.Jul 11 2016, 3:07 PM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptJul 11 2016, 3:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Amire80 triaged this task as High priority.Jul 11 2016, 3:07 PM
Amire80 moved this task from Backlog to Missing languages on the ULS-CompactLinks board.
Amire80 added a comment.EditedJul 12 2016, 10:24 AM

So, this gets more complicated: als.wikipedia actually accepts four languages: gsw, swg, wae and gct.

swg is listed in CLDR under Germany and wae is listed under Liechtenstein and Switzerland. gct is not listed anywhere in CLDR, and I suggested reporting this to CLDR.

Can we and should we redirect all four codes to als?

Change 301115 had a related patch set uploaded (by Nikerabbit):
Move als->gsw override to ext.uls.init

https://gerrit.wikimedia.org/r/301115

Nikerabbit moved this task from Backlog to In Review on the Language-Q1-2016-17 Sprint 2 board.
Nikerabbit added a subscriber: Nikerabbit.

Those other codes never appear in interwiki links, so I don't see why we should add them.

Change 301115 merged by jenkins-bot:
Move als->gsw override to ext.uls.init

https://gerrit.wikimedia.org/r/301115

Amire80 closed this task as Resolved.Aug 9 2016, 8:01 PM

Verified in production.

Amire80 moved this task from QA to Done on the Language-Q1-2016-17 Sprint 2 board.Aug 9 2016, 8:05 PM